Bug 70514 - check-files is missing from rpm.spec for rpm-4.1-0.62.src.rpm
check-files is missing from rpm.spec for rpm-4.1-0.62.src.rpm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-01 19:02 EDT by Michael Phillips, Jr.
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 20:12:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Phillips, Jr. 2002-08-01 19:02:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
%rpmattr %{__prefix}/lib/rpm/check-files is missing from the %files section of
rpm.spec for rpm-4.1-0.62.src.rpm

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild rpm-4.1-0.62.src.rpm
2.correct rpm.spec by adding %{__prefix}/lib/rpm/check-files to %files
3.rpmbuild -ba rpm.spec
	

Actual Results:  1)rpm-4.1-0.62.src.rpm rebuilds and installs without error.
Subsequent builds of any src.rpm fail with the rpm error: fail to exec
/usr/lib/rpm/check-files
2)After adding %{__prefix}/lib/rpm/check-files to %files in rpm.spec
and rebuilding by rpmbuild -ba rpm.spec the following errors are returned by rpm
version 4.1-0.62
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/rpm-root
error: Installed (but unpackaged) file(s) found:
   /usr/include/beecrypt/aes.h
   /usr/include/beecrypt/base64.h
   /usr/include/beecrypt/beecrypt.h
   /usr/include/beecrypt/blockmode.h
   /usr/include/beecrypt/blockpad.h
   /usr/include/beecrypt/blowfish.h
   /usr/include/beecrypt/dhaes.h
   /usr/include/beecrypt/dldp.h
   /usr/include/beecrypt/dlkp.h
   /usr/include/beecrypt/dlpk.h
   /usr/include/beecrypt/dlsvdp-dh.h
   /usr/include/beecrypt/dsa.h
   /usr/include/beecrypt/elgamal.h
   /usr/include/beecrypt/endianness.h
   /usr/include/beecrypt/entropy.h
   /usr/include/beecrypt/fips186.h
   /usr/include/beecrypt/hmac.h
   /usr/include/beecrypt/hmacmd5.h
   /usr/include/beecrypt/hmacsha1.h
   /usr/include/beecrypt/hmacsha256.h
   /usr/include/beecrypt/md5.h
   /usr/include/beecrypt/memchunk.h
   /usr/include/beecrypt/mp32.h
   /usr/include/beecrypt/mp32barrett.h
   /usr/include/beecrypt/mp32number.h
   /usr/include/beecrypt/mp32prime.h
   /usr/include/beecrypt/mtprng.h
   /usr/include/beecrypt/rsa.h
   /usr/include/beecrypt/rsakp.h
   /usr/include/beecrypt/rsapk.h
   /usr/include/beecrypt/sha1.h
   /usr/include/beecrypt/sha256.h
   /usr/include/beecrypt/timestamp.h
   /usr/lib/libbeecrypt.a
   /usr/lib/libbeecrypt.la
   /usr/lib/libbeecrypt.so.2.2.0
   /usr/lib/rpm/Specfile.pm
   /usr/lib/rpm/cpanflute
   /usr/lib/rpm/cpanflute2
   /usr/lib/rpm/rpmdiff
   /usr/lib/rpm/rpmdiff.cgi
   /usr/lib/rpm/sql.prov
   /usr/lib/rpm/sql.req
   /usr/lib/rpm/tcl.req
   /usr/lib/rpm/tgpg
   /usr/share/locale/de/LC_MESSAGES/popt.mo
   /usr/share/locale/en_RN/LC_MESSAGES/rpm.mo
   /usr/share/locale/es/LC_MESSAGES/popt.mo
   /usr/share/locale/es/LC_MESSAGES/rpm.mo
   /usr/share/locale/eu_ES/LC_MESSAGES/popt.mo
   /usr/share/locale/eu_ES/LC_MESSAGES/rpm.mo
   /usr/share/locale/fi/LC_MESSAGES/popt.mo
   /usr/share/locale/fr/LC_MESSAGES/popt.mo
   /usr/share/locale/gl/LC_MESSAGES/rpm.mo
   /usr/share/locale/hu/LC_MESSAGES/rpm.mo
   /usr/share/locale/id/LC_MESSAGES/popt.mo
   /usr/share/locale/id/LC_MESSAGES/rpm.mo
   /usr/share/locale/it/LC_MESSAGES/popt.mo
   /usr/share/locale/it/LC_MESSAGES/rpm.mo
   /usr/share/locale/ja/LC_MESSAGES/popt.mo
   /usr/share/locale/pl/LC_MESSAGES/popt.mo
   /usr/share/locale/pt_BR/LC_MESSAGES/popt.mo
   /usr/share/locale/sr/LC_MESSAGES/popt.mo
   /usr/share/locale/uk/LC_MESSAGES/rpm.mo
   /usr/share/locale/wa/LC_MESSAGES/rpm.mo
   /usr/share/locale/zh/LC_MESSAGES/popt.mo
   /usr/share/locale/zh/LC_MESSAGES/rpm.mo
   /usr/share/locale/zh_CN.GB2312/LC_MESSAGES/rpm.mo
   /usr/share/man/fr/man8/rpm.8.gz
   /usr/share/man/ko/man8/rpm.8.gz
   /usr/share/man/ko/man8/rpm2cpio.8.gz


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/include/beecrypt/aes.h
   /usr/include/beecrypt/base64.h
   /usr/include/beecrypt/beecrypt.h
   /usr/include/beecrypt/blockmode.h
   /usr/include/beecrypt/blockpad.h
   /usr/include/beecrypt/blowfish.h
   /usr/include/beecrypt/dhaes.h
   /usr/include/beecrypt/dldp.h
   /usr/include/beecrypt/dlkp.h
   /usr/include/beecrypt/dlpk.h
   /usr/include/beecrypt/dlsvdp-dh.h
   /usr/include/beecrypt/dsa.h
   /usr/include/beecrypt/elgamal.h
   /usr/include/beecrypt/endianness.h
   /usr/include/beecrypt/entropy.h
   /usr/include/beecrypt/fips186.h
   /usr/include/beecrypt/hmac.h
   /usr/include/beecrypt/hmacmd5.h
   /usr/include/beecrypt/hmacsha1.h
   /usr/include/beecrypt/hmacsha256.h
   /usr/include/beecrypt/md5.h
   /usr/include/beecrypt/memchunk.h
   /usr/include/beecrypt/mp32.h
   /usr/include/beecrypt/mp32barrett.h
   /usr/include/beecrypt/mp32number.h
   /usr/include/beecrypt/mp32prime.h
   /usr/include/beecrypt/mtprng.h
   /usr/include/beecrypt/rsa.h
   /usr/include/beecrypt/rsakp.h
   /usr/include/beecrypt/rsapk.h
   /usr/include/beecrypt/sha1.h
   /usr/include/beecrypt/sha256.h
   /usr/include/beecrypt/timestamp.h
   /usr/lib/libbeecrypt.a
   /usr/lib/libbeecrypt.la
   /usr/lib/libbeecrypt.so.2.2.0
   /usr/lib/rpm/Specfile.pm
   /usr/lib/rpm/cpanflute
   /usr/lib/rpm/cpanflute2
   /usr/lib/rpm/rpmdiff
   /usr/lib/rpm/rpmdiff.cgi
   /usr/lib/rpm/sql.prov
   /usr/lib/rpm/sql.req
   /usr/lib/rpm/tcl.req
   /usr/lib/rpm/tgpg
   /usr/share/locale/de/LC_MESSAGES/popt.mo
   /usr/share/locale/en_RN/LC_MESSAGES/rpm.mo
   /usr/share/locale/es/LC_MESSAGES/popt.mo
   /usr/share/locale/es/LC_MESSAGES/rpm.mo
   /usr/share/locale/eu_ES/LC_MESSAGES/popt.mo
   /usr/share/locale/eu_ES/LC_MESSAGES/rpm.mo
   /usr/share/locale/fi/LC_MESSAGES/popt.mo
   /usr/share/locale/fr/LC_MESSAGES/popt.mo
   /usr/share/locale/gl/LC_MESSAGES/rpm.mo
   /usr/share/locale/hu/LC_MESSAGES/rpm.mo
   /usr/share/locale/id/LC_MESSAGES/popt.mo
   /usr/share/locale/id/LC_MESSAGES/rpm.mo
   /usr/share/locale/it/LC_MESSAGES/popt.mo
   /usr/share/locale/it/LC_MESSAGES/rpm.mo
   /usr/share/locale/ja/LC_MESSAGES/popt.mo
   /usr/share/locale/pl/LC_MESSAGES/popt.mo
   /usr/share/locale/pt_BR/LC_MESSAGES/popt.mo
   /usr/share/locale/sr/LC_MESSAGES/popt.mo
   /usr/share/locale/uk/LC_MESSAGES/rpm.mo
   /usr/share/locale/wa/LC_MESSAGES/rpm.mo
   /usr/share/locale/zh/LC_MESSAGES/popt.mo
   /usr/share/locale/zh/LC_MESSAGES/rpm.mo
   /usr/share/locale/zh_CN.GB2312/LC_MESSAGES/rpm.mo
   /usr/share/man/fr/man8/rpm.8.gz
   /usr/share/man/ko/man8/rpm.8.gz
   /usr/share/man/ko/man8/rpm2cpio.8.gz

Expected Results:  rebuilding rpm-4.1-0.62.src.rpm should compile and install
without error.  Subsequent use of rpmbuild on any src.rpm should compile and
check-files script should run as part of the rpmbuild process.

Additional info:
Comment 1 Michael Phillips, Jr. 2002-08-01 20:11:53 EDT
I realize now after reading /usr/lib/rpm/macros line 302-303:
# Note: Disable (by commenting out) for legacy compatibility.
%__check_files         /usr/lib/rpm/check-files %{buildroot}
that you may have intentionally left out the /usr/lib/rpm/check-files script from
rpm.spec.  

Perhaps you should either comment out the use of the macro for this build or add
the following line to rpm.spec:
%define _unpackaged_files_terminate_build 0

Either solution will allow rpm-4.1-0.62.src.rpm to be rebuilt by the user who
downloads this source rpm from rawhide.
Comment 2 Jeremy Katz 2002-08-02 01:56:14 EDT
Should be fixed in 0.63

Note You need to log in before you can comment on or make changes to this bug.